<h1 class="md-headline">Options</h1>
<p class="md-subhead">Use this page to configure screenshot preferences, then click
  <button md-button (click)="run()" class="md-primary" type="submit" [disabled]="!!httpInProgress">RUN</button>
  <md-progress-circular style="display: inline-block; top:5px" class="md-hue-2" mode="indeterminate" [hidden]="!httpInProgress" [diameter]="'20px'"></md-progress-circular>
</p>
<md-divider></md-divider>
<md-content>
  <div layout="row" layout-sm="column">
    <div flex>
      <div class="option">
        <h3>Choose account type for login</h3>
        <md-radio-group [(value)]="selectedVerification">
          <md-radio-button *ngFor="#item of options.getLoginVerifications()" value="{{item.name}}"  [checked]="options.selectedVerification==item.name" (click)="setLoginVerification(item.name)">
            <span class="optionlabel">{{ item.name }}</span>
          </md-radio-button>
        </md-radio-group>
      </div>
    </div>

    <div flex>
      <div class="option">
        <h3>Choose environment</h3>
        <md-radio-group [(value)]="options.selectedEnv">
          <md-radio-button *ngFor="#item of options.getEnvs()" [value]="item.name" [checked]="options.selectedEnv==item.name" (click)="setEnv(item.name)">
            <span class="optionlabel">{{ item.name }}</span>
          </md-radio-button>
        </md-radio-group>
        <form (submit)="addEnv()">
          <md-input-container layout="row">
            <button type="submit" [disabled]="envModel?.length==0" class="md-mini md-primary md-hue-2" md-fab="" _ngcontent-aib-16="" data-ngid="37#17">
              <span class="md-button-wrapper">
                <i md-icon="" _ngcontent-aib-16="" data-ngid="37#18" class="material-icons">add</i>
              </span>
            </button>
            <input md-input type="text" placeholder="Name" id="label" [(ngModel)]="envModel" flex>
          </md-input-container>
        </form>
      </div>

      <div class="option">
        <h3>Choose whitelabels</h3>
        <md-list>
          <md-list-item *ngFor="#item of options.getWhitelabels()" class="optionlistitem">
            <md-checkbox [(checked)]="item.selected" class="compactcheckbox">
              <span class="optionlabel">{{ item.name }}</span>
            </md-checkbox>
          </md-list-item>
        </md-list>
        <form (submit)="addWhitelabel()">
          <md-input-container layout="row">
            <button type="submit" [disabled]="whitelabelModel?.length==0" class="md-mini md-primary md-hue-2" md-fab="" _ngcontent-aib-16="" data-ngid="37#17">
              <span class="md-button-wrapper">
                <i md-icon="" _ngcontent-aib-16="" data-ngid="37#18" class="material-icons">add</i>
              </span>
            </button>
            <input md-input type="text" placeholder="Name eg. dcexe.com" id="label" [(ngModel)]="whitelabelModel" flex>
          </md-input-container>
        </form>
      </div>
      <div class="option">
        <h3>Choose screen size</h3>
        <p>
          NB. To see the full vertical content of a screen, set a custom dimension with a large Y value, and run the server headless with -h
        </p>
        <md-radio-group [(value)]="selectedSize">
          <md-radio-button *ngFor="#item of options.getSizes()" value="{{item.name}}" [checked]="options.selectedSize==item.name" (click)="setSize(item)">
            <span class="optionlabel">{{ item.name }}</span>
            {{item.x}}x{{item.y}}
          </md-radio-button>
        </md-radio-group>
        <form (submit)="addSize()">
          <md-input-container layout="row">
            <button type="submit" [disabled]="nameModel?.length==0" class="md-mini md-primary md-hue-2" md-fab="" _ngcontent-aib-16="" data-ngid="37#17">
              <span class="md-button-wrapper">
                <i md-icon="" _ngcontent-aib-16="" data-ngid="37#18" class="material-icons">add</i>
              </span>
            </button>
            <input md-input type="text" placeholder="Name" id="label" [(ngModel)]="nameModel" flex>
            <input md-input type="number" placeholder="x" id="label" [(ngModel)]="xModel" flex>
            <input md-input type="number" placeholder="y" id="label" [(ngModel)]="yModel" flex>
          </md-input-container>
        </form>
      </div>
    </div>
    <div flex>
      <div class="option">
        <h3>Choose pages</h3>
        <md-list>
          <md-list-item *ngFor="#item of options.getPages()" class="optionlistitem">
            <md-checkbox [(checked)]="item.selected">
              <span class="optionlabel">{{ item.name }}</span>
            </md-checkbox>
          </md-list-item>
        </md-list>
        <form (submit)="addPage()">
          <md-input-container layout="row">
            <button type="submit" [disabled]="pageModel?.length==0" class="md-mini md-primary md-hue-2" md-fab="" _ngcontent-aib-16="" data-ngid="37#17">
              <span class="md-button-wrapper">
                <i md-icon="" _ngcontent-aib-16="" data-ngid="37#18" class="material-icons">add</i>
              </span>
            </button>
            <input md-input type="text" placeholder="Name eg. /pages/about" id="label" [(ngModel)]="pageModel" flex>
          </md-input-container>
        </form>
      </div>
    </div>
    <div style="height:2em">
      <button md-button (click)="run()" class="md-primary" type="submit" [disabled]="!!httpInProgress">RUN</button>
      <md-progress-circular style="display: inline-block; top:5px" class="md-hue-2" mode="indeterminate" [hidden]="!httpInProgress" [diameter]="'20px'"></md-progress-circular>

    </div>
  </div>

  <button md-button (click)="run()" class="md-primary" type="submit" [disabled]="!!httpInProgress">RUN</button>
  <md-progress-circular style="display: inline-block; top:5px" class="md-hue-2" mode="indeterminate" [hidden]="!httpInProgress" [diameter]="'20px'"></md-progress-circular>
</md-content>
